> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Refund

> Send a refund for a list of Order Items to Channel




## OpenAPI

````yaml /openapi/scx/seller.json post /v1/seller/order/refund
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/order/refund:
    post:
      tags:
        - Order
      summary: Send Refund
      description: |
        Send a refund for a list of Order Items to Channel
      operationId: SendRefund
      requestBody:
        $ref: '#/components/requestBodies/SendRefund'
      responses:
        '201':
          description: Refund send to Channel
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    SendRefund:
      description: Refund payment to be issued to the customer for a marketplace order.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SendRefund'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SendRefund:
      description: >-
        Refund payment the seller wants to issue to the customer for a
        marketplace order, scoped to a channel.
      type: object
      title: SendRefund
      required:
        - channel
      allOf:
        - type: object
          properties:
            channel:
              $ref: '#/components/schemas/Channel'
        - $ref: '#/components/schemas/Refund'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    Refund:
      title: OrderRefund
      type: object
      required:
        - refundId
        - sellerId
        - orderId
        - orderItem
      properties:
        refundId:
          $ref: '#/components/schemas/RefundId'
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          $ref: '#/components/schemas/ChannelOrderId'
        orderItem:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/RefundOrderItem'
    RefundId:
      type: string
      description: >
        Seller created unique Id to identify the processing Result of a Refund
        processing from a Channel.
      minLength: 1
      maxLength: 128
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ChannelOrderId:
      type: string
      minLength: 1
      maxLength: 150
      example: 43523-43432-43532
    RefundOrderItem:
      title: OrderItemRefund
      type: object
      required:
        - orderItemId
        - quantity
        - reason
        - refund
        - refundCurrency
      properties:
        orderItemId:
          $ref: '#/components/schemas/OrderItemId'
        quantity:
          type: string
          example: '1.0'
        reason:
          $ref: '#/components/schemas/RefundReason'
        refund:
          type: string
          example: '19.90'
        refundCurrency:
          type: string
          example: EUR
    OrderItemId:
      description: >-
        A unique identifier to identify a order item. This ID is provided by the
        Channel itself an should be used to identify a order item id.
      type: string
      example: '5437233'
      format: string
      minLength: 1
      maxLength: 50
    RefundReason:
      type: string
      example: NO_REASON
      enum:
        - NO_REASON
        - DEFECT
        - WRONG_ITEM
        - WRONG_SIZE
        - TOO_LATE
        - BAD_QUALITY
        - OTHER
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````